<form [formGroup]="singin" (ngSubmit)="onSubmit()">
    <div class="form-group">
        <label for="username">email:</label>
        <input
                type="email"
                class="form-control"
                name="email"
                formControlName="email"
        >
        <span *ngIf="!singin.get('email').valid && singin.get('email').touched" class="help-block">Please entre your username</span>
    </div>
    <div class="form-group">
        <label for="password">Password:</label>
        <input
                type="password"
                class="form-control"
                name="password"
                formControlName="password"
        >
        <span *ngIf="!singin.get('password').valid && singin.get('password').touched" class="help-block">Please entre your password</span>

    </div>

    <div class="form-group">
        <button type="submit"  class="btn btn-primary">Login</button>
    </div>
</form>